# Uses of Interface
org.eclipse.emf.cdo.lm.DropType

Packages that use DropType
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of DropType in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return DropType
Modifier and Type
Method
Description
`DropType`
LMFactory.`createDropType()`
Returns a new object of class 'Drop Type'.
`DropType`
LMFactory.`createDropType(String name, boolean release)`
`DropType`
Process.`getDropType(String name)`
`DropType`
Drop.`getType()`
Returns the value of the 'Type' reference.
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type DropType
Modifier and Type
Method
Description
`EList<DropType>`
Process.`getDropTypes()`
Returns the value of the 'Drop Types' containment reference list.
Methods in org.eclipse.emf.cdo.lm with parameters of type DropType
Modifier and Type
Method
Description
`void`
Drop.`setType(DropType value)`
Sets the value of the '`Type`' reference.

## Uses of DropType in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client with parameters of type DropType
Modifier and Type
Method
Description
`Drop`
ISystemDescriptor.`createDrop(Stream stream, DropType dropType, long timeStamp, String label, IProgressMonitor monitor)`

## Uses of DropType in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement DropType
Modifier and Type
Class
Description
`class`
`DropTypeImpl`
An implementation of the model object 'Drop Type'.
Methods in org.eclipse.emf.cdo.lm.impl that return DropType
Modifier and Type
Method
Description
`DropType`
DropImpl.`basicGetType()`
`DropType`
LMFactoryImpl.`createDropType()`
`DropType`
LMFactoryImpl.`createDropType(String name, boolean release)`
`DropType`
ProcessImpl.`getDropType(String name)`
`DropType`
DropImpl.`getType()`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type DropType
Modifier and Type
Method
Description
`EList<DropType>`
ProcessImpl.`getDropTypes()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type DropType
Modifier and Type
Method
Description
`void`
DropImpl.`setType(DropType newType)`

## Uses of DropType in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return types with arguments of type DropType
Modifier and Type
Method
Description
`protected Collection<DropType>`
LMAppExtension.`getDropTypes(Element lmElement)`

## Uses of DropType in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type DropType
Modifier and Type
Method
Description
`T`
LMSwitch.`caseDropType(DropType object)`
Returns the result of interpreting the object as an instance of 'Drop Type'.